/**
 * Testklasse fr {@link AsciToStringHelper}
 * 
 * @author Heiner Kcker
 */
public class Test1 implements AsciTableLayoutableInterface
{
    private final int id;
    private final String name;
    private final Test2[] childArr;

    /**
     * Konstruktor.
     */
    public Test1(
        final int pId,
        final String pName,
        final Test2[] pChildArr)
    {
        super();
        this.id = pId;
        this.name = pName;
        this.childArr = pChildArr;
    }

    /* (non-Javadoc)
     * @see AsciTableLayoutableInterface#asciTableColumnNames()
     */
    public String[] asciTableColumnNames()
    {
        return new String[]{ "id", "name" , "childArr" };
    }

    /* (non-Javadoc)
     * @see AsciTableLayoutableInterface#asciTableColumnContent(int)
     */
    public Object asciTableColumnContent(int pColIndex)
    {
        switch (pColIndex)
        {
            case 0 :
                return new Integer( id );

            case 1 :
                return name;

            case 2 :
                return childArr;

            default :
                return null;
        }
    }

}
